
_txtdata = """CYS CYS -0.509719
CYS MET -0.448877
MET MET -0.512423
CYS PHE -0.558393
MET PHE -0.661148
PHE PHE -0.755790
CYS ILE -0.517831
MET ILE -0.588137
PHE ILE -0.699005
ILE ILE -0.658443
CYS LEU -0.562449
MET LEU -0.640867
PHE LEU -0.758494
ILE LEU -0.726045
LEU LEU -0.770663
CYS VAL -0.444821
MET VAL -0.493495
PHE VAL -0.624642
ILE VAL -0.592194
LEU VAL -0.650331
VAL VAL -0.520535
CYS TRP -0.443469
MET TRP -0.524592
PHE TRP -0.607066
ILE TRP -0.555688
LEU TRP -0.604362
VAL TRP -0.474566
TRP TRP -0.458342
CYS TYR -0.336658
MET TYR -0.438061
PHE TYR -0.539464
ILE TYR -0.484030
LEU TYR -0.540816
VAL TYR -0.398852
TRP TYR -0.404260
TYR TYR -0.338010
CYS ALA -0.256888
MET ALA -0.306913
PHE ALA -0.424541
ILE ALA -0.393444
LEU ALA -0.438061
VAL ALA -0.320433
TRP ALA -0.290689
TYR ALA -0.228495
ALA ALA -0.141964
CYS GLY -0.201454
MET GLY -0.232551
PHE GLY -0.332602
ILE GLY -0.285280
LEU GLY -0.336658
VAL GLY -0.231199
TRP GLY -0.236607
TYR GLY -0.181173
ALA GLY -0.086531
GLY GLY -0.077066
CYS THR -0.194694
MET THR -0.248775
PHE THR -0.352882
ILE THR -0.319081
LEU THR -0.360995
VAL THR -0.242015
TRP THR -0.209566
TYR THR -0.181173
ALA THR -0.087883
GLY THR -0.055434
THR THR -0.060842
CYS SER -0.160893
MET SER -0.183877
PHE SER -0.317729
ILE SER -0.250127
LEU SER -0.304209
VAL SER -0.186582
TRP SER -0.178469
TYR SER -0.150076
ALA SER -0.045969
GLY SER -0.020281
THR SER -0.039209
SER SER  0.000000
CYS ASN -0.124388
MET ASN -0.173061
PHE ASN -0.281224
ILE ASN -0.212270
LEU ASN -0.279872
VAL ASN -0.156837
TRP ASN -0.189286
TYR ASN -0.147372
ALA ASN -0.022985
GLY ASN -0.009464
THR ASN -0.028393
SER ASN  0.012168
ASN ASN -0.001352
CYS GLN -0.159541
MET GLN -0.220383
PHE GLN -0.328546
ILE GLN -0.270408
LEU GLN -0.320433
VAL GLN -0.189286
TRP GLN -0.194694
TYR GLN -0.175765
ALA GLN -0.029745
GLY GLN  0.001352
THR GLN -0.031097
SER GLN  0.024337
ASN GLN -0.005408
GLN GLN  0.017577
CYS ASP -0.100051
MET ASP -0.121684
PHE ASP -0.244719
ILE ASP -0.202806
LEU ASP -0.233903
VAL ASP -0.109515
TRP ASP -0.158189
TYR ASP -0.147372
ALA ASP -0.004056
GLY ASP  0.010816
THR ASP -0.017577
SER ASP  0.005408
ASN ASP -0.001352
GLN ASP  0.028393
ASP ASP  0.062194
CYS GLU -0.081122
MET GLU -0.164949
PHE GLU -0.255536
ILE GLU -0.216326
LEU GLU -0.259592
VAL GLU -0.135204
TRP GLU -0.178469
TYR GLU -0.151428
ALA GLU  0.021633
GLY GLU  0.060842
THR GLU -0.009464
SER GLU  0.025689
ASN GLU  0.021633
GLN GLU  0.033801
ASP GLU  0.087883
GLU GLU  0.102755
CYS HIS -0.260944
MET HIS -0.312321
PHE HIS -0.419132
ILE HIS -0.333954
LEU HIS -0.388035
VAL HIS -0.258240
TRP HIS -0.312321
TYR HIS -0.250127
ALA HIS -0.100051
GLY HIS -0.064898
THR HIS -0.101403
SER HIS -0.059490
ASN HIS -0.055434
GLN HIS -0.041913
ASP HIS -0.087883
GLU HIS -0.064898
HIS HIS -0.186582
CYS ARG -0.121684
MET ARG -0.196046
PHE ARG -0.312321
ILE ARG -0.265000
LEU ARG -0.319081
VAL ARG -0.189286
TRP ARG -0.235255
TYR ARG -0.201454
ALA ARG -0.021633
GLY ARG -0.006760
THR ARG -0.031097
SER ARG  0.006760
ASN ARG  0.004056
GLN ARG -0.017577
ASP ARG -0.083826
GLU ARG -0.081122
HIS ARG -0.066250
ARG ARG  0.016224
CYS LYS -0.037857
MET LYS -0.109515
PHE LYS -0.228495
ILE LYS -0.181173
LEU LYS -0.229847
VAL LYS -0.110867
TRP LYS -0.137908
TYR LYS -0.125740
ALA LYS  0.048673
GLY LYS  0.070306
THR LYS  0.048673
SER LYS  0.083826
ASN LYS  0.062194
GLN LYS  0.051378
ASP LYS -0.001352
GLU LYS -0.017577
HIS LYS  0.043265
ARG LYS  0.146020
LYS LYS  0.209566
CYS PRO -0.189286
MET PRO -0.240663
PHE PRO -0.348826
ILE PRO -0.282576
LEU PRO -0.342066
VAL PRO -0.223087
TRP PRO -0.278520
TYR PRO -0.205510
ALA PRO -0.048673
GLY PRO -0.027041
THR PRO -0.031097
SER PRO  0.013520
ASN PRO  0.018929
GLN PRO -0.008112
ASP PRO  0.045969
GLU PRO  0.055434
HIS PRO -0.078418
ARG PRO -0.004056
LYS PRO  0.094643
PRO PRO -0.010816"""

epsilon_mj = dict()

def __add_value(key,v):
    if key not in epsilon_mj:
        epsilon_mj[key] = v
    else:
        assert(epsilon_mj[key] == v)

for line in _txtdata.split('\n'):
    n1,n2,v = line.split()
    v = float(v)
    
    __add_value((n1,n2), v)
    __add_value((n2,n1), v)

    __add_value((n1+'IDP',n2), v)
    __add_value((n2,n1+'IDP'), v)
    __add_value((n2+'IDP',n1), v)
    __add_value((n1,n2+'IDP'), v)
    __add_value((n2+'IDP',n1+'IDP'), v)
    __add_value((n1+'IDP',n2+'IDP'), v)

    
if __name__ == '__main__':
    print(epsilon_mj)
